<?php


////////////////////////////////////////////////////////////////////////////////
// Recent Comments
////////////////////////////////////////////////////////////////////////////////
function mw_recent_comments(
	$no_comments = 8,
	$show_pass_post = false,
	$title_length = 50, 	// shortens the title if it is longer than this number of chars
	$author_length = 30,	// shortens the author if it is longer than this number of chars
	$wordwrap_length = 50, // adds a blank if word is longer than this number of chars
	$type = 'all', 	// Comments, trackbacks, or both?
	$format = '<li>%date%: <a href="%permalink%" title="%title%">%title%</a> (von %author_full%)</li>',
	$date_format = 'd.m.y, H:i',
	$none_found = '<li>Keine Kommentare vorhanden.</li>',	// None found
	$type_text_pingback = 'Pingback von',
	$type_text_trackback = 'Trackback von',
	$type_text_comment = 'von'

	) {

	//Language...
	$mwlang_anonymous = 'Anonym'; // Anonymous
	$mwlang_authorurl_title_before = 'Webseite von &lsaquo;';
	$mwlang_authorurl_title_after = '&rsaquo; besuchen';


    global $wpdb;

    $request = "SELECT ID, comment_ID, comment_content, comment_author, comment_author_url, comment_date, post_title, comment_type
				FROM $wpdb->comments LEFT JOIN $wpdb->posts ON $wpdb->posts.ID=$wpdb->comments.comment_post_ID
				WHERE post_status IN ('publish','static')";

	switch($type) {
		case 'all':
			// add nothing
			break;
		case 'comment_only':
			//
			$request .= "AND $wpdb->comments.comment_type='' ";
			break;
		case 'trackback_only':
			$request .= "AND ( $wpdb->comments.comment_type='trackback' OR $wpdb->comments.comment_type='pingback' ) ";
			break;
	 default:
 		//
			break;

	}

	if (!$show_pass_post) $request .= "AND post_password ='' ";

	$request .= "AND comment_approved = '1' ORDER BY comment_ID DESC LIMIT $no_comments";

	$comments = $wpdb->get_results($request);
    $output = '';
	if ($comments) {
    	foreach ($comments as $comment) {

			// Permalink to post/comment
			$loop_res['permalink'] = get_permalink($comment->ID). '#comment-' . $comment->comment_ID;

			// Title of the post
			$loop_res['post_title'] = stripslashes($comment->post_title);
			$loop_res['post_title'] = wordwrap($loop_res['post_title'], $wordwrap_length, ' ' , 1);

			if (strlen($loop_res['post_title']) >= $title_length) {
				$loop_res['post_title'] = substr($loop_res['post_title'], 0, $title_length) . '&#8230;';
			}

			// Author's name only
        	$loop_res['author_name'] = stripslashes($comment->comment_author);
			$loop_res['author_name'] = wordwrap($loop_res['author_name'], $wordwrap_length, ' ' , 1);

			if ($loop_res['author_name'] == '') $loop_res['author_name'] = $mwlang_anonymous;
			if (strlen($loop_res['author_name']) >= $author_length) {
				$loop_res['author_name'] = substr($loop_res['author_name'], 0, $author_length) . '&#8230;';
			}

			// Full author (link, name)
			$author_url = $comment->comment_author_url;
			if (empty($author_url)) {
				$loop_res['author_full'] = $loop_res['author_name'];
			} else {
				$loop_res['author_full'] = '<a href="' . $author_url . '" title="' . $mwlang_authorurl_title_before . $loop_res['author_name'] . $mwlang_authorurl_title_after . '">' . $loop_res['author_name'] . '</a>';
			}

/*
			// Comment excerpt
			$comment_excerpt = strip_tags($comment->comment_content);
			$comment_excerpt = stripslashes($comment_excerpt);
			if (strlen($comment_excerpt) >= $comment_length) {
				$comment_excerpt = substr($comment_excerpt, 0, $comment_length) . '...';
			}

*/

			// Comment type
			if ( $comment->comment_type == 'pingback' ) {
				$loop_res['comment_type'] = $type_text_pingback;
			} elseif ( $comment->comment_type == 'trackback' ) {
				$loop_res['comment_type'] = $type_text_trackback;
			} else {
				$loop_res['comment_type'] = $type_text_comment;
			}

			// Date of comment
			$loop_res['comment_date'] = mysql2date($date_format, $comment->comment_date);

			// Output element
			$element_loop = str_replace('%permalink%', $loop_res['permalink'], $format);
			$element_loop = str_replace('%title%', $loop_res['post_title'], $element_loop);
			$element_loop = str_replace('%author_name%', $loop_res['author_name'], $element_loop);
			$element_loop = str_replace('%author_full%', $loop_res['author_full'], $element_loop);
			$element_loop = str_replace('%date%', $loop_res['comment_date'], $element_loop);
			$element_loop = str_replace('%type%', $loop_res['comment_type'], $element_loop);


			$output .= $element_loop . "\n";


		} //foreach

		$output = convert_smilies($output);

	} else {
		$output .= $none_found;
    }

    echo $output;
}


function get_leftbar(){
include ("left_sidebar.php");
}

// below are widget custom to custom the widget looks without the default //

if ( function_exists('register_sidebars') )  {

register_sidebars(2, array(
        'before_widget' => '',
        'after_widget' => '',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
       ));

    function unregister_problem_widgets() {
unregister_sidebar_widget('Calendar');
unregister_sidebar_widget('RSS 1');
unregister_sidebar_widget('Search');
unregister_sidebar_widget('Links');
unregister_sidebar_widget('Recent Comments');
unregister_sidebar_widget('Recent Posts');
}
add_action('widgets_init','unregister_problem_widgets');
}




// below are widget custom to custom the widget looks without the default //

function widget_mytheme_blogroll() {
?>
<h3>Blogarama</h3>
		<ul>
		<?php get_links(-1 , '<li>', '</li>', " - ", true, "id", false, false); ?>
		</ul>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Blogroll'), 'widget_mytheme_blogroll');

function widget_mytheme_tag_cloud($args) {
	extract($args);
	$options = get_option('widget_tag_cloud');
	$title = empty($options['title']) ? __('Tags') : $options['title'];

   echo("<h3>Tags!</h3><ul>");
   wp_tag_cloud();
   echo("</ul>");
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('My Tag Cloud'), 'widget_mytheme_tag_cloud');

function timeWithWords($t)
{
   $w = "";
   if($t < 60) $w = "second".(($t = 1)? "" : "s");
   elseif($t < 3600){ $t = round($t / 60); $w = "minute".(($t == 1)? "" : "s"); }
   elseif($t < 86400){ $t = round($t / 3600); $w = "hour".(($t == 1)? "" : "s"); }
   elseif($t < 604800){ $t = round($t / 86400); $w = "day".(($t == 1)? "" : "s"); }
   elseif($t < 2592000){ $t = round($t / 604800); $w = "week".(($t == 1)? "" : "s"); }
   elseif($t < 31536000){ $t = round($t / 2592000); $w = "month".(($t == 1)? "" : "s"); }
   else{ $t = round($t / 31536000); $w = "year".(($t == 1)? "" : "s"); }
   return ("$t $w");
}

function widget_mytheme_biblereading() {
?>
<h3>Bible Reading</h3>
   <ul>
<?php
   $o = preg_split("/\t/",file_get_contents(get_option('siteurl')."/bibleReading.dat"),-1,PREG_SPLIT_NO_EMPTY);

   global $user_ID;
   global $user_identity;
   if($user_ID && $user_identity == "Josiah")
   {
      echo("<form name=bibleForm action='' method=get onsubmit=\"window.open('".get_option('siteurl')."/recordBibleReading.php?p='+escape(document.bibleForm.p.value)+'&k='+escape(document.bibleForm.k.value)+'&t='+escape(document.bibleForm.t.value)+'&t2='+escape(document.bibleForm.t2.value),'newwindow',config='height=1,width=1,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no'); return false; \">");
      echo("<li><input name=p  value=\"\" type=hidden><input name=px  type=text value=\"".$o[0]."\" onchange=\"document.bibleForm.p.value = this.value;\"></li>");
      echo("<li><input name=k  value=\"\" type=hidden><input name=kx  type=text value=\"".str_replace("\"","'",$o[1])."\" onchange=\"document.bibleForm.k.value = this.value;\"></li>");
      echo("<li><input name=t  value=\"\" type=hidden><input name=tx  type=text value=\"".timeWithWords(time() - $o[2])." ago\" onchange=\"document.bibleForm.t.value = this.value;\"></li>");
      echo("<li><input name=t2 value=\"\" type=hidden><input name=t2x type=text value=\"".timeWithWords(time() - $o[3])." ago\" onchange=\"document.bibleForm.t2.value = this.value;\"></li>");
      echo("<input type=submit value='Submit'></form>");
   }
   else
   {
      echo("<li>Last Bible Reading:  <a href=\"http://www.biblegateway.com/passage/?search=".urlencode($o[0])."&version=31\">".$o[0]."</a></li>");
      echo("<li>Key Phrase:</li>");
      echo("<li style=\"padding-left:16px;\">".$o[1]."</li>");
      echo("<li style=\"padding-left:16px;\">(".timeWithWords(time() - $o[2])." ago)</li>");
   }
?>
   </ul>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('BibleReading'), 'widget_mytheme_biblereading');

function widget_mytheme_mycalendar() {
?>
<?php get_calendar(2); ?>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Calendars'), 'widget_mytheme_mycalendar');

function widget_mytheme_myrecentcomment() {
?>
<h3>Recent Sayings</h3>
		<ul>
		<?php mw_recent_comments(10, false, 35, 15, 35, 'all', '<li><a href="%permalink%" title="%title%"><strong>%author_name%</strong> in %title%</a></li>','d.m.y, H:i'); ?>
		</ul>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('LatestComment'), 'widget_mytheme_myrecentcomment');


function widget_mytheme_myrecentpost() {
?>

<h3>Latest Posts</h3>
<ul>
<?php get_archives('postbypost', 10); ?>
</ul>

<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Recentpost'), 'widget_mytheme_myrecentpost');


function widget_mytheme_mytranslator() {
?>

<h3>Translators</h3>
<a href="http://translate.google.com/translate?u=<?php bloginfo('url'); ?>&amp;langpair=en%7Cfr&amp;hl=fr&amp;ie=UTF-8&amp;ie=UTF-8&amp;oe=UTF-8&amp;prev=%2Flanguage_tools"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/fr.gif" alt="French" title="Translate in French" /></a>
	<a href="http://translate.google.com/translate?u=<?php bloginfo('url'); ?>&amp;langpair=en%7Cde&amp;hl=de&amp;ie=UTF-8&amp;ie=UTF-8&amp;oe=UTF-8&amp;prev=%2Flanguage_tools"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/de.gif" alt="German version" title="Translate in German" /></a>
	<a href="http://translate.google.com/translate?u=<?php bloginfo('url'); ?>&amp;langpair=en%7Ces&amp;hl=es&amp;ie=UTF-8&amp;ie=UTF-8&amp;oe=UTF-8&amp;prev=%2Flanguage_tools"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/es.gif" alt="Spanish version" title="Translate in Spanish" /></a>
	<a href="http://translate.google.com/translate?u=<?php bloginfo('url'); ?>&amp;langpair=en%7Cit&amp;hl=it&amp;ie=UTF-8&amp;ie=UTF-8&amp;oe=UTF-8&amp;prev=%2Flanguage_tools"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/it.gif" alt="Italian version" title="Translate in Italian" /></a>
   </ul>

<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Translator'), 'widget_mytheme_mytranslator');



 function widget_mytheme_options() {
?>

<h3>Options</h3>
      <ul>
<?php
 global $user_ID;
 global $user_identity;
 if($user_ID)
 {
    echo("Name: <a href=\"".get_option('siteurl')."/wp-admin/profile.php\">".$user_identity."</a><br>");
    echo("Role");
    global $wpdb;
    global $wp_roles;
    $c = array_keys(get_usermeta($user_ID, $wpdb->prefix.'capabilities'));
    // the 1 is experimentally determined
    $current_role = $c[1];
    $can_post = (($wp_roles->roles[$current_role]['capabilities']['publish_posts'] == 1)? true : false);

    echo(": <a href=\"\" onclick=\"window.open('".get_option('siteurl')."/listRoles.php?role=".$current_role."','newwindow',config='height=300,width=200,toolbar=no,menubar=no,scrollbars=yes,resizable=yes,location=no,directories=no,status=no'); return false;\">".ucfirst($current_role)."</a>");

    if($can_post) echo("<li><a href=\"".get_option('siteurl')."/wp-admin/post-new.php\">New Post</a></li>");

    echo("<li><a href=\"".get_option('siteurl')."/wp-login.php?action=logout&_wpnonce=".wp_create_nonce("log-out")."\">Logout &raquo;</a></li>");
 }
 else
 {
    echo("Not logged in");
    echo("<li><a href=\"".get_option('siteurl')."/wp-login.php?redirect_to=%2F\" title=\"Log in!\">Login &raquo;</a></li>");
    echo("<li><a href=\"".get_option('siteurl')."/wp-register.php\" title=\"Sign up for a Josiahland account!\">Register</a></li>");
 }
?>
<li style="width: 100%; height: 1px; border-bottom: 1px dotted #aaaaaa;"> &nbsp; </li>
       <li><a href="<?php echo (get_option('siteurl')); ?>?feed=rss2" title="<?php _e('Subscribe to Entries!'); ?>">Entries RSS</a></li>
       <li><a href="<?php echo (get_option('siteurl')); ?>?feed=comments-rss2" title="<?php _e('Subscribe to Comments!'); ?>">Comments RSS</a></li>
</ul>

<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Options'), 'widget_mytheme_options');


function notFoundMessage()
{
   $m = array("<h3>Sorry.  It's gone!</h3>\nThat is, if it was ever here in the first place."," <h3>Sorry.  This thing does not exist.</h3>\nPlease stop your silly delusions.","<h3>Sorry. This place isn't available.</h3>\nWhy don't you just go on with life?","<h3>Sorry.  There's nothing here.</h3>\nYou'll have to go somewhere else, I'm afraid.","<h3>Sorry.  I wish it were here...</h3>\nBut, it's not -- and probably never will be.");
   echo($m[array_rand($m)]);
   echo("<br><br>Do you want to go to a <a href=\"http://www.josiahland.com/?random\">random page</a>?");
}
?>
