<?php load_theme_textdomain('pangea', get_template_directory() . '/languages'); 

/*****************************
* Sidebar Widgets
*/
if ( function_exists('register_sidebar') ) {
	register_sidebar(array('name'=>'Sidebar',));
}

/*****************************
* Separate comments and pings
*/
function list_pings($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment;
	?>
	<li id="comment-<?php comment_ID(); ?>"><?php comment_author_link(); ?>
	<?php 
}
function tweak_reply_link($output){
    return str_replace("Reply", __("Reply here", 'pangea'), $output);
}
add_filter('comment_reply_link', 'tweak_reply_link');




/*****************************
* Enqueue jQuery & Scripts
*/
function pangea_enqueue_scripts() {
	// jquery
	wp_deregister_script('jquery');
	wp_register_script('jquery', (get_bloginfo('stylesheet_directory') . '/scripts/jquery.js'), false, '1.3.2');
	wp_enqueue_script('jquery');
	
	// scripts
	wp_register_script('pangeascripts', (get_bloginfo('stylesheet_directory') . '/scripts/scripts.js'), false, '1.0');
	wp_enqueue_script('pangeascripts');
}
if (!is_admin()) {
	add_action('init', 'pangea_enqueue_scripts');
}



/*****************************
* Options Page
*/

// Options
$plugin_name = __("Pangea", 'pangea');
$plugin_filename = "functions.php";

add_option("pangea_ie6", "true", "", "yes");
add_option("pangea_show_author", "false", "", "yes");
add_option("pangea_show_categories", "false", "", "yes");




function pangea_admin_init() {
	if ( function_exists('register_setting') ) {
		register_setting('pangea_settings', 'option-1', '');
	}
}
function add_pangea_option_page() {
	global $wpdb;
	global $plugin_name;
	
	add_submenu_page('themes.php', $plugin_name . ' ' . __('Options', 'pangea'), $plugin_name . ' ' . __('Options', 'pangea'), 8, basename(__FILE__), 'pangea_options_page');
	
}
add_action('admin_init', 'pangea_admin_init');
add_action('admin_menu', 'add_pangea_option_page');



// Options function
function pangea_options_page() {

	if (isset($_POST['info_update'])) {
			
		// Update options
		$pangea_ie6 = $_POST["pangea_ie6"];
		update_option("pangea_ie6", $pangea_ie6);

		$pangea_show_author = $_POST["pangea_show_author"];
		update_option("pangea_show_author", $pangea_show_author);

		$pangea_show_categories = $_POST["pangea_show_categories"];
		update_option("pangea_show_categories", $pangea_show_categories);



		// Give an updated message
		echo "<div class='updated fade'><p><strong>" . __('Options updated', 'pangea') . "</strong></p></div>";
		
	}

	// Show options page
	?>

		<div class="wrap">
		
			<div class="options">
		
				<form method="post" action="themes.php?page=<?php global $plugin_filename; echo $plugin_filename; ?>">
			
				<h2><?php global $plugin_name; printf(__('%s Settings', 'pangea'), $plugin_name); ?></h2>
	
					<h3><?php _e("Users of Internet Explorer 6", 'pangea'); ?></h3>
					<label>
					<?php
					echo "<input type='radio' ";
					echo "name='pangea_ie6' ";
					echo "id='pangea_ie6_0' ";
					echo "value='true' ";
					echo "true" == get_option('pangea_ie6') ? ' checked="checked"' : "";
					echo " />";
					?>
					<?php _e("Show a nice, but standardized look.", 'pangea'); ?>
					</label>
					<br />
					<label>
					<?php
					echo "<input type='radio' ";
					echo "name='pangea_ie6' ";
					echo "id='pangea_ie6_1' ";
					echo "value='false' ";
					echo "false" == get_option('pangea_ie6') ? ' checked="checked"' : "";
					echo " />";
					?>
					<?php _e("Try showing them the look shown to all other browsers. ", 'pangea'); ?>
					</label>
					<br />
					
					<p class="setting-description"><?php _e("What should users of Internet Explorer 6 see?", 'pangea') ?></p>


					<h3><?php _e("Authors", 'pangea'); ?></h3>
					<label>
					<?php
					echo "<input type='radio' ";
					echo "name='pangea_show_author' ";
					echo "id='pangea_show_author_0' ";
					echo "value='true' ";
					echo "true" == get_option('pangea_show_author') ? ' checked="checked"' : "";
					echo " />";
					?>
					<?php _e("Show authors.", 'pangea'); ?>
					</label>
					<br />
					<label>
					<?php
					echo "<input type='radio' ";
					echo "name='pangea_show_author' ";
					echo "id='pangea_show_author_1' ";
					echo "value='false' ";
					echo "false" == get_option('pangea_show_author') ? ' checked="checked"' : "";
					echo " />";
					?>
					<?php _e("Hide authors. ", 'pangea'); ?>
					</label>
					<br />
					
					<p class="setting-description"><?php _e("Should authors names be shown next to posts?", 'pangea') ?></p>
					

		
					<h3><?php _e("Categories", 'pangea'); ?></h3>
					<label>
					<?php
					echo "<input type='radio' ";
					echo "name='pangea_show_categories' ";
					echo "id='pangea_show_categories_0' ";
					echo "value='true' ";
					echo "true" == get_option('pangea_show_categories') ? ' checked="checked"' : "";
					echo " />";
					?>
					<?php _e("Show categories.", 'pangea'); ?>
					</label>
					<br />
					<label>
					<?php
					echo "<input type='radio' ";
					echo "name='pangea_show_categories' ";
					echo "id='pangea_show_categories_1' ";
					echo "value='false' ";
					echo "false" == get_option('pangea_show_categories') ? ' checked="checked"' : "";
					echo " />";
					?>
					<?php _e("Hide categories. ", 'pangea'); ?>
					</label>
					<br />
					
					<p class="setting-description"><?php _e("Should categories be shown?", 'pangea') ?></p>
					

		
					<p class="submit">
						<?php if ( function_exists('settings_fields') ) settings_fields('pangea_settings'); ?>
						<input type='submit' name='info_update' value='<?php _e('Save Changes', 'pangea'); ?>' />
					</p>
				
				</form>
				
				
			</div><?php //.options ?>
			
		</div>

<?php
}



?>